
From: Roman Zippel <zippel@linux-m68k.org>

conf_write() now checks the target path whether it's a directory, so it
saves the config in the directory instead of renaming it.


---

 25-akpm/scripts/kconfig/confdata.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

diff -puN scripts/kconfig/confdata.c~config-dont-rename-target-dir scripts/kconfig/confdata.c
--- 25/scripts/kconfig/confdata.c~config-dont-rename-target-dir	Tue Mar 16 18:21:29 2004
+++ 25-akpm/scripts/kconfig/confdata.c	Tue Mar 16 18:21:29 2004
@@ -269,8 +269,14 @@ int conf_write(const char *name)
 
 	dirname[0] = 0;
 	if (name && name[0]) {
-		char *slash = strrchr(name, '/');
-		if (slash) {
+		struct stat st;
+		char *slash;
+
+		if (!stat(name, &st) && S_ISDIR(st.st_mode)) {
+			strcpy(dirname, name);
+			strcat(dirname, "/");
+			basename = conf_def_filename;
+		} else if ((slash = strrchr(name, '/'))) {
 			int size = slash - name + 1;
 			memcpy(dirname, name, size);
 			dirname[size] = 0;

_
